"Incorrect db schema version" Error After Upgrade to 10.1.3.4 (Doc ID 1323183.1)

Last updated on AUGUST 26, 2013

Applies to:

Oracle(R) BPEL Process Manager - Version 10.1.3.4 and later
Information in this document applies to any platform.

Symptoms

After upgrading SOA from 10.1.3.3 to 10.1.3.4 the following error occurs.

<2011-05-04 11:05:33,461> <INFO> <collaxa> <ServerManager::__init> Detected datasource 'oracle'

11/05/04 11:05:33 ORABPEL-03003
Incorrect db schema version.
The database schema version "2.0.4" from the database does not match the version "10.1.3.4.0" expected by the server.
The database schema currently in place has probably been configured for a previous release; please re-install the
database schema and try to start the server again.

11/05/04 11:05:33 at com.collaxa.cube.engine.adaptors.util.BaseSchemaManager.getSchemaVersion(BaseSchemaManager.java:96)
11/05/04 11:05:33 at com.collaxa.cube.engine.adaptors.util.DataSourceSchemaUtils$1.validateCompatibility(DataSourceSchemaUtils.java:72)
11/05/04 11:05:33 at com.collaxa.cube.engine.adaptors.util.DataSourceSchemaUtils.validateServerSchemaVersion(DataSourceSchemaUtils.java:136)

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms